## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-testutils
%global         forgeurl    https://github.com/googleapis/python-test-utils
Version:        1.3.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python test utilities for Google Cloud APIs

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
This is a collection of common tools used in system tests of Python client
libraries for Google APIs.}

%description %{_description}


%package -n python3-%{srcname}
%py_provides    python3-test-utils
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgesetup


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files test_utils

# Remove extra scripts and tests.
rm -rf %{buildroot}%{python3_sitelib}/{scripts,tests}
rm -f %{buildroot}%{_bindir}/lower-bound-checker


%if %{with tests}
%check
# Lower bounds checking tests won't work since installing things via
# pip is not going to work during RPM builds.
%pytest --disable-warnings --ignore tests/unit/test_lower_bound_checker.py
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md


%changelog
* Wed Jun 01 2022 Major Hayden <major@redhat.com> 1.3.1-3
- Disable lower bounds testing

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 12 2022 Major Hayden <major@mhtx.net> 1.3.1-1
- Update to 1.3.1

* Mon Sep 13 2021 Major Hayden <major@mhtx.net> 1.1.0-1
- Initial commit (#1999311)
